aboutsummaryrefslogtreecommitdiff
path: root/api/tests/gathered_zchain_zlatest_pairs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'api/tests/gathered_zchain_zlatest_pairs.sh')
-rwxr-xr-xapi/tests/gathered_zchain_zlatest_pairs.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/api/tests/gathered_zchain_zlatest_pairs.sh b/api/tests/gathered_zchain_zlatest_pairs.sh
new file mode 100755
index 0000000..466c669
--- /dev/null
+++ b/api/tests/gathered_zchain_zlatest_pairs.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+printf "TEST\t/seens\n"
+printf "\t01:\tendpoint returns JSON...\n"
+curl http://127.0.0.1:8610/v0/seens 2>/dev/null | jq > /dev/null
+if [ "$?" == "0" ]
+then
+ printf '\t\t\033[0;32mPASSED\033[0;0m\n'
+else
+ printf '\t\t\033[0;31mFAILED\033[0;0m\n'
+fi